<div class="cmp-rating pt-lg-80 pb-lg-80">
  <div
    class="card shadow card-wrapper"
    data-element="feedback"
    *ngIf="config && messages.length">
    <div class="cmp-rating__card-first">
      <div
        class="card-header border-0"
        [ngClass]="config && messages.length ? '' : ''">
        <h2 data-element="feedback-title"
          class="title-medium-2-semi-bold"
          id="title"
          *ngIf="
            config && messages.length && questions.length > 0 && !submitted
          ">
          {{ this.messages[0].question }}
        </h2>
        <h2 class="title-medium-2-bold"  id="title-thanks" *ngIf="config && this.submitted">
          {{ thanksMessage }}  <span class="visually-hidden sr-only" *ngIf="disabled" id="value"> <span>Valutazione  {{rateValue}} stelle su 5</span></span>
        </h2>
      </div>
      <div class="card-body">
        <fieldset [class]="disabled ? 'rating rating-read-only' : 'rating'" >
          <legend class="visually-hidden sr-only">
            <span *ngIf="!disabled"> {{ 'rating.title' | translate }}</span>
          </legend>
          <input
            type="radio"
            id="star5a"
            name="ratingA"
            [value]="5"
            [(ngModel)]="rateValue"
            [disabled]="disabled"
            (ngModelChange)="sendFeedback($event)"
            [attr.aria-hidden]="disabled"
            [attr.aria-label]="'rating.value_5' | translate" />
          <label class="full rating-star" for="star5a" data-element="feedback-rate-5" aria-hidden="true">
            <svg
              class="icon icon-sm"
              role="presentation"
              focusable="false"
              viewBox="0 0 24 24"
              xmlns="http://www.w3.org/2000/svg">
              <path
                d="M12 1.7L9.5 9.2H1.6L8 13.9l-2.4 7.6 6.4-4.7 6.4 4.7-2.4-7.6 6.4-4.7h-7.9L12 1.7z"></path>
              <path fill="none" d="M0 0h24v24H0z"></path>
            </svg>
            <span class="visually-hidden sr-only" id="fifth-star">{{
              'rating.value_5' | translate
            }}</span>
          </label>
          <input
            type="radio"
            id="star4a"
            name="ratingA"
            [value]="4"
            [(ngModel)]="rateValue"
            [disabled]="disabled"
            (ngModelChange)="sendFeedback($event)"
            [attr.aria-hidden]="disabled"
            [attr.aria-label]="'rating.value_4' | translate" />
          <label class="full rating-sta" for="star4a" data-element="feedback-rate-4" aria-hidden="true">
            <svg
              class="icon icon-sm"
              role="presentation"
              focusable="false"
              viewBox="0 0 24 24"
              xmlns="http://www.w3.org/2000/svg">
              <path
                d="M12 1.7L9.5 9.2H1.6L8 13.9l-2.4 7.6 6.4-4.7 6.4 4.7-2.4-7.6 6.4-4.7h-7.9L12 1.7z"></path>
              <path fill="none" d="M0 0h24v24H0z"></path>
            </svg>
            <span class="visually-hidden sr-only" id="fourth-star">{{
              'rating.value_4' | translate
            }}</span>
          </label>
          <input
            type="radio"
            id="star3a"
            name="ratingA"
            [value]="3"
            [(ngModel)]="rateValue"
            [disabled]="disabled"
            (ngModelChange)="sendFeedback($event)"
            [attr.aria-hidden]="disabled"
            [attr.aria-label]="'rating.value_3' | translate" />
          <label class="full rating-star" for="star3a" data-element="feedback-rate-3" aria-hidden="true">
            <svg
              class="icon icon-sm"
              role="presentation"
              focusable="false"
              viewBox="0 0 24 24"
              xmlns="http://www.w3.org/2000/svg">
              <path
                d="M12 1.7L9.5 9.2H1.6L8 13.9l-2.4 7.6 6.4-4.7 6.4 4.7-2.4-7.6 6.4-4.7h-7.9L12 1.7z"></path>
              <path fill="none" d="M0 0h24v24H0z"></path>
            </svg>
            <span class="visually-hidden sr-only" id="third-star">{{
              'rating.value_3' | translate
            }}</span>
          </label>
          <input
            type="radio"
            id="star2a"
            name="ratingA"
            [value]="2"
            [(ngModel)]="rateValue"
            [disabled]="disabled"
            (ngModelChange)="sendFeedback($event)"
            [attr.aria-hidden]="disabled"
            [attr.aria-label]="'rating.value_2' | translate" />
          <label class="full rating-star" for="star2a" data-element="feedback-rate-2" aria-hidden="true">
            <svg
              class="icon icon-sm"
              role="presentation"
              focusable="false"
              viewBox="0 0 24 24"
              xmlns="http://www.w3.org/2000/svg">
              <path
                d="M12 1.7L9.5 9.2H1.6L8 13.9l-2.4 7.6 6.4-4.7 6.4 4.7-2.4-7.6 6.4-4.7h-7.9L12 1.7z"></path>
              <path fill="none" d="M0 0h24v24H0z"></path>
            </svg>
            <span class="visually-hidden sr-only" id="second-star">{{
              'rating.value_2' | translate
            }}</span>
          </label>
          <input
            type="radio"
            id="star1a"
            name="ratingA"
            [value]="1"
            [(ngModel)]="rateValue"
            [disabled]="disabled"
            (ngModelChange)="sendFeedback($event)"
            [attr.aria-hidden]="disabled"
            [attr.aria-label]="'rating.value_1' | translate" />
          <label class="full rating-star" for="star1a" data-element="feedback-rate-1" aria-hidden="true">
            <svg
              class="icon icon-sm"
              role="presentation"
              focusable="false"
              viewBox="0 0 24 24"
              xmlns="http://www.w3.org/2000/svg">
              <path
                d="M12 1.7L9.5 9.2H1.6L8 13.9l-2.4 7.6 6.4-4.7 6.4 4.7-2.4-7.6 6.4-4.7h-7.9L12 1.7z"></path>
              <path fill="none" d="M0 0h24v24H0z"></path>
            </svg>
            <span class="visually-hidden sr-only" id="first-star">{{
              'rating.value_1' | translate
            }}</span>
          </label>
        </fieldset>
      </div>
      <p role="status" class="visually-hidden sr-only" *ngIf="rateValue">{{ 'rating.choice' | translate }} {{rateValue}}</p>
      <p role="status" class="visually-hidden sr-only" *ngIf="!rateValue">{{ 'rating.no_choice' | translate }}</p>
    </div>
    <div class="form-rating" *ngIf="show_questions && !submitted">
      <custom-stepper [enableNextStep]="enableNextStep" (submitted)="submit()" [events]="eventsSubject.asObservable()">
        <cdk-step *ngIf="questions[0].question.answers.length">
          <app-step-one
            *ngIf="questions.length"
            [questions]="questions"
            [answers]="questions[0].question.answers"
            [selectedStep]="1"
            [stepsLength]="2"
            [isRatePositive]="isPositive"
            (enableNextStep)="detectEnableNextStep($event)"
            [md5Path]="md5Path"
            [events]="eventsSubject.asObservable()"></app-step-one>
        </cdk-step>
        <cdk-step *ngIf="config.entrypoints[0].is_review_enable">
          <app-step-two [selectedStep]="2" [md5Path]="md5Path" [events]="eventsSubject.asObservable()"> </app-step-two>
        </cdk-step>
      </custom-stepper>
    </div>
  </div>
</div>
